"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils.ts
var utils_exports = {};
__export(utils_exports, {
  extractParams: () => extractParams,
  splitParameters: () => splitParameters
});
module.exports = __toCommonJS(utils_exports);
var splitParameters = (message, type) => {
  const regex = type === "user" ? /(\w+:[\w,\\.\-_:]+)+/ : /(\w+:[\w,:\\[\]]+)+/;
  const [firstMessage, ...paramsMessage] = message.split(regex);
  return {
    firstMessage: firstMessage.trim(),
    paramsMessage
  };
};
var extractParams = (text, type) => {
  const regex = type === "user" ? /(:[\w,\\.\-_]+$)/ : /(:string\[\]$)/;
  const [key, splitedValueString] = text.trim().split(regex, 2);
  return {
    key,
    value: splitedValueString.replace(":", "").split(",")
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  extractParams,
  splitParameters
});
//# sourceMappingURL=utils.cjs.map