// src/utils.ts
var splitParameters = (message, type) => {
  const regex = type === "user" ? /(\w+:[\w,\\.\-_:]+)+/ : /(\w+:[\w,:\\[\]]+)+/;
  const [firstMessage, ...paramsMessage] = message.split(regex);
  return {
    firstMessage: firstMessage.trim(),
    paramsMessage
  };
};
var extractParams = (text, type) => {
  const regex = type === "user" ? /(:[\w,\\.\-_]+$)/ : /(:string\[\]$)/;
  const [key, splitedValueString] = text.trim().split(regex, 2);
  return {
    key,
    value: splitedValueString.replace(":", "").split(",")
  };
};

export {
  splitParameters,
  extractParams
};
//# sourceMappingURL=chunk-RWI7ZIIT.js.map