type UsecaseType = "user" | "system";
declare const splitParameters: (message: string, type: UsecaseType) => {
    firstMessage: string;
    paramsMessage: string[];
};
/**
 * @params text key:hoge:value1,value2
 * return { key: "key:hoge", value: ["value1", "value2"] }
 */
declare const extractParams: (text: string, type: UsecaseType) => {
    key: string;
    value: string[];
};

export { type UsecaseType, extractParams, splitParameters };
